Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200903-14 ] BIND: Incorrect signature verification
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1569

PostPosted: Mon Mar 09, 2009 5:26 pm    Post subject: [ GLSA 200903-14 ] BIND: Incorrect signature verification Reply with quote

Gentoo Linux Security Advisory

Title: BIND: Incorrect signature verification (GLSA 200903-14)
Severity: normal
Exploitable: remote
Date: March 09, 2009
Bug(s): #254134, #257949
ID: 200903-14

Synopsis


Incomplete verification of RSA and DSA certificates might lead to spoofed
records authenticated using DNSSEC.


Background


ISC BIND is the Internet Systems Consortium implementation of the
Domain Name System (DNS) protocol.


Affected Packages

Package: net-dns/bind
Vulnerable: < 9.4.3_p1
Unaffected: >= 9.4.3_p1
Architectures: All supported architectures


Description


BIND does not properly check the return value from the OpenSSL
functions to verify DSA (CVE-2009-0025) and RSA (CVE-2009-0265)
certificates.


Impact


A remote attacker could bypass validation of the certificate chain to
spoof DNSSEC-authenticated records.


Workaround


There is no known workaround at this time.


Resolution


All BIND users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=net-dns/bind-9.4.3_p1"


References

CVE-2009-0025
CVE-2009-0265


Last edited by GLSA on Fri Jul 18, 2014 4:27 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum